Submit Interaction
Submit collected end-user data for the current interaction to advance a GBG GO journey toward completion.
POST
/
journey
/
interaction
/
submit
Submit Interaction
curl --request POST \
--url https://eu.platform.go.gbgplc.com/v2/captain/journey/interaction/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "PiKR2O0IjyUR8KV3RviKt4we",
"interactionId": "grn:::gbg:design:interaction:segment1@latest",
"participants": [
{
"domainElementId": "FullName"
},
{
"domainElementId": "DateOfBirth"
},
{
"domainElementId": "CurrentAddress"
}
],
"context": {
"subject": {
"identity": {
"currentAddress": {
"lines": [
"99 STATE ST"
],
"locality": "TUPELO",
"dependentLocality": "MS",
"postalCode": "38801",
"country": "US"
},
"dateOfBirth": "2007-11-22",
"firstName": "RED",
"lastNames": [
"HAWK"
]
}
}
}
}
'import requests
url = "https://eu.platform.go.gbgplc.com/v2/captain/journey/interaction/submit"
payload = {
"instanceId": "PiKR2O0IjyUR8KV3RviKt4we",
"interactionId": "grn:::gbg:design:interaction:segment1@latest",
"participants": [{ "domainElementId": "FullName" }, { "domainElementId": "DateOfBirth" }, { "domainElementId": "CurrentAddress" }],
"context": { "subject": { "identity": {
"currentAddress": {
"lines": ["99 STATE ST"],
"locality": "TUPELO",
"dependentLocality": "MS",
"postalCode": "38801",
"country": "US"
},
"dateOfBirth": "2007-11-22",
"firstName": "RED",
"lastNames": ["HAWK"]
} } }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
instanceId: 'PiKR2O0IjyUR8KV3RviKt4we',
interactionId: 'grn:::gbg:design:interaction:segment1@latest',
participants: [
{domainElementId: 'FullName'},
{domainElementId: 'DateOfBirth'},
{domainElementId: 'CurrentAddress'}
],
context: {
subject: {
identity: {
currentAddress: {
lines: ['99 STATE ST'],
locality: 'TUPELO',
dependentLocality: 'MS',
postalCode: '38801',
country: 'US'
},
dateOfBirth: '2007-11-22',
firstName: 'RED',
lastNames: ['HAWK']
}
}
}
})
};
fetch('https://eu.platform.go.gbgplc.com/v2/captain/journey/interaction/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Journey instance identifier
Interaction identifier
Subject data to submit for the interaction. See the user data schema for the full structure.
Show child attributes
Show child attributes
List of participants involved in the interaction
Show child attributes
Show child attributes
Response
Success
- Option 1
- Option 2
Indicates the interaction was submitted successfully
Available options:
success Was this page helpful?
⌘I
Submit Interaction
